Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse with Worklight and ADT plug-in not working
Eclipse with Worklight and ADT plug-in not working [message #1274248] Fri, 21 March 2014 07:25 Go to next message
Komel Babu is currently offline Komel BabuFriend
Messages: 1
Registered: March 2014
Junior Member
Hi everyone,
I have been using Eclipse IDE since a while now. Last week, I installed IBM Worklight Plugin and ADT Plugin, since then I havnt been able to open Eclipse. Got this error from the log..

!ENTRY com.ibm.imp.worklight.core 4 0 2014-03-21 12:07:14.781
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "com.ibm.imp.worklight.core_1.0.200.201303071227 " could not be resolved. Reason: Missing Constraint: Require-Bundle: com.worklight.studio.plugin; bundle-version="5.0.6"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY com.ibm.imp.worklight.dojo.core 4 0 2014-03-21 12:07:14.904
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "com.ibm.imp.worklight.dojo.core_1.0.1.201303071229 [89]" could not be resolved. Reason: Missing Constraint: Require-Bundle: com.ibm.imp.worklight.core; bundle-version="[1.0.0,2.0.0)"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

.....
there's a lot more to this, Have attached the entire error log. please help, been at this for a while now.
Thanks in advance.
  • Attachment: .log
    (Size: 316.85KB, Downloaded 20 times)
Re: Eclipse with Worklight and ADT plug-in not working [message #1274402 is a reply to message #1274248] Fri, 21 March 2014 12:23 Go to previous message
Eric Rizzo is currently offline Eric RizzoFriend
Messages: 2371
Registered: July 2009
Senior Member
This is telling you that the Worklight feature(s) did not install correctly. How did you install it?
Previous Topic:Open files in detached editors
Next Topic:Start up error
Goto Forum:
  


Current Time: Wed Nov 26 21:55:04 GMT 2014

Powered by FUDForum. Page generated in 0.02580 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software